/* Index used for searching */
/*
   Fields used:
     url, name, type, filename, authors, routine name, comments, parameters,
     categories, and attributes
*/
title = "IDL-OPeNDAP interface";
subtitle = "opendap.org";
libdata = new Array();
libdataItem = 0;



libdata[libdataItem++] = new Array("./opendap_fix_name.html", "opendap_fix_name.pro", ".pro file in ./ directory", "opendap_fix_name.pro", "      Written by Patrick C. West - HAO/UCAR       Based on IDL-DODS Written by Daniel J. Carr - Research Systems, Inc.    ", "", " IDL-OPeNDAP interface.    ", "", "          -1", "      Copyright 2005, UCAR  ");
  
  
  libdata[libdataItem++] = new Array("./opendap_fix_name.html#opendap_fix_name", "opendap_fix_name", "routine in opendap_fix_name.pro", "opendap_fix_name.pro", "", "opendap_fix_name", " Procedure to convert a string or byte array into a valid  IDL variable name or a valid IDL structure tag name.    ", "name       Named IDL variable containing a string or byte array to process.        Processed name is returned through this parameter.  ", "          -1", "");
  
  

libdata[libdataItem++] = new Array("./opendap_get.html", "opendap_get.pro", ".pro file in ./ directory", "opendap_get.pro", "      Patrick West <mrpatrickwest@gmail.com> UCAR/HAO       Dan Holloway <d.holloway@opendap.org>       Based on IDL-DODS Written by Daniel J. Carr - Research Systems, Inc.    ", "", " This is the main interface routine for the OPeNDAP IDL bindings.    ", "", "          -1", "      Copyright (c) 2006 OPeNDAP, Inc.       This is free software; you can redistribute it and/or     modify it under the terms of the GNU Lesser General Public     License as published by the Free Software Foundation; either     version 2.1 of the License, or (at your option) any later version.       This library is distributed in the hope that it will be useful,     but WITHOUT ANY WARRANTY; without even the implied warranty of     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     Lesser General Public License for more details.       You should have received a copy of the GNU Lesser General Public     License along with this library; if not, write to the Free Software     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA       You can contact OPeNDAP, Inc. at PO Box 112, Saunderstown, RI. 02874-0112.  ");
  
  
  libdata[libdataItem++] = new Array("./opendap_get.html#OPENDAP_GET", "OPENDAP_GET", "routine in opendap_get.pro", "opendap_get.pro", "", "OPENDAP_GET", " Main interface routine for IDL-OPENDAP link.    opendap_get sets up the environment, and then calls opendap_get_das or  opendap_get_data to establish a connection and return the appropriate  OPeNDAP data.    The DAP data ( opendap_data  parameter) is returned as an IDL structure  variable. The IDL structure will have one tag for each DAP variable that is  returned, and the tag name is the same as the DAP name for that variable.  For simple DAP variables, the value of the corresponding IDL structure tag  will be an IDL scalar value. Other DAP variable types will be returned as  nested structures:    DAP data type         Returned IDL structure   --------------------- ------------------------------------------------    ARRAY                   { ARRAY: data,                             START_STRIDE_STOP: fltarr(3, N),                             DIMENSION_NAMES: strarr(N) }    GRID                    { GRID: data,                             dimension_name_0: dimension_data_0,                             ...                             dimension_name_n: dimension_data_n }                            NOTE: the grid dimension names are optional -                           not all grids will have them.    STRUCTURE               { var_name_0: var_data_0,                             ...                             var_name_n: var_data_n }    SEQUENCE                { record_name_0: record_data_0,                             ...                             record_name_n: record_data_n }                            NOTE: each record_data field corresponds to a                           sequence  column .   Tag names in capital letters are literal. Other tag names are derived from  the DODS data.    ", "CE       Data constraint expression.  DEFLATE       ACCEPT_DEFLATE flag  (1=yes (default), 0=no).  MODE       Flag for the type of data to retrieve        (0 or 'DATA' for the data (default), 1 or 'DAS' for the DAS)  SEQ_BLOCKSIZE       How many elements should be allocated at once for sequence data;        default value is 4096  DEBUG       set to print out debug information    url       URL location to connect to.  opendap_data       Returns the requested DODS data as an IDL structure.    ", "          -1", "      Using OPENDAP_GET to retrieve all the data at an URL is quite simple:    IDL> url = 'http://test.opendap.org/opendap-3.4/nph-dods/data/nc/fnoc1.nc'   IDL> stat = opendap_get(url, data)   IDL> print, stat              1   IDL> help, data,  /structures   ** Structure <824e1a4>, 5 tags, length=23172, data length=23172, refs=1:      U               STRUCT    -> <Anonymous> Array[1]      V               STRUCT    -> <Anonymous> Array[1]      LAT             STRUCT    -> <Anonymous> Array[1]      LON             STRUCT    -> <Anonymous> Array[1]      TIME            STRUCT    -> <Anonymous> Array[1]   IDL> print, tag_names(data)   U V LAT LON TIME   IDL> help, data.u, /structures   ** Structure <8252124>, 2 tags, length=11460, data length=11460, refs=2:      U               INT       Array[21, 17, 16]      DIMENSION_NAMES STRING    Array[3]   IDL> print, data.u.dimension_names   LON LAT TIME_A      Single variables or even slices of a variable can also be retrieved:    IDL> help, data, /structures   ** Structure <1f29584>, 1 tags, length=11460, data length=11460, refs=1:      U               STRUCT    -> <Anonymous> Array[1]   IDL> help, data.u, /structures   ** Structure <1f29974>, 2 tags, length=11460, data length=11460, refs=2:      U               INT       Array[21, 17, 16]      DIMENSION_NAMES STRING    Array[3]      or:    IDL> stat = opendap_get(url, data, ce='u[0][0:1:16][0:1:15]')   IDL> help, data, /structures   ** Structure <1f29af4>, 1 tags, length=568, data length=568, refs=1:      U               STRUCT    -> <Anonymous> Array[1]   IDL> help, data.u, /structures   ** Structure <1f29ef4>, 2 tags, length=568, data length=568, refs=2:      U               INT       Array[16, 17]      DIMENSION_NAMES STRING    Array[2]      Attributes can be optained as well:    IDL> stat = opendap_get(url, data, mode='das')   IDL> help, data, /structures   ** Structure <207b604>, 7 tags, length=212, data length=209, refs=1:      U               STRUCT    -> <Anonymous> Array[1]      V               STRUCT    -> <Anonymous> Array[1]      LAT             STRUCT    -> <Anonymous> Array[1]      LON             STRUCT    -> <Anonymous> Array[1]      TIME            STRUCT    -> <Anonymous> Array[1]      NC_GLOBAL       STRUCT    -> <Anonymous> Array[1]      DODS_EXTRA      STRUCT    -> <Anonymous> Array[1]   IDL> help, data.u, /structures   ** Structure <1f2b884>, 8 tags, length=80, data length=77, refs=2:      UNITS           STRING    'meter per second'      LONG_NAME       STRING    'Vector wind eastward component'      MISSING_VALUE   STRING    '-32767'      SCALE_FACTOR    STRING    '0.005'      DODS_NAME       STRING    'UWind'      B               BYTE       128      I               LONG             32000      WOA01           STRING    'http://localhost/junk'        Status (1=ok, 0=fail)    ");
  
  

libdata[libdataItem++] = new Array("./opendap_get_das.html", "opendap_get_das.pro", ".pro file in ./ directory", "opendap_get_das.pro", "      Patrick West <mrpatrickwest@gmail.com> UCAR/HAO       Dan Holloway <d.holloway@opendap.org>       Based on IDL-DODS Written by Daniel J. Carr - Research Systems, Inc.    ", "", " Part of the IDL-OPENDAP interface.    ", "", "          -1", "      Copyright (c) 2006 OPeNDAP, Inc.       This is free software; you can redistribute it and/or     modify it under the terms of the GNU Lesser General Public     License as published by the Free Software Foundation; either     version 2.1 of the License, or (at your option) any later version.       This library is distributed in the hope that it will be useful,     but WITHOUT ANY WARRANTY; without even the implied warranty of     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     Lesser General Public License for more details.       You should have received a copy of the GNU Lesser General Public     License along with this library; if not, write to the Free Software     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA       You can contact OPeNDAP, Inc. at PO Box 112, Saunderstown, RI. 02874-0112.  ");
  
  
  libdata[libdataItem++] = new Array("./opendap_get_das.html#OPENDAP_GET_DAS", "OPENDAP_GET_DAS", "routine in opendap_get_das.pro", "opendap_get_das.pro", "", "OPENDAP_GET_DAS", " Function to establish a connection and get the DAS for a  OPeNDAP dataset    ", "CE       Data constraint expression  DEFLATE       ACCEPT_DEFLATE flag  (1=yes (default), 0=no).  MODE       MODE flag  (2=das (default), 5=fulldas)  url       URL location to connect to  opendap_data       Returns the requested OPeNDAP data as an IDL structure  debug       set to print debugging information    ", "          -1", "      Status (1=ok, 0=fail)    ");
  
  

libdata[libdataItem++] = new Array("./opendap_get_data.html", "opendap_get_data.pro", ".pro file in ./ directory", "opendap_get_data.pro", "      Patrick West <mrpatrickwest@gmail.com> UCAR/HAO       Dan Holloway <d.holloway@opendap.org>    ", "", " IDL-OPENDAP interface.    ", "", "          -1", "      Copyright (c) 2006 OPeNDAP, Inc.       Based on IDL-DODS Written by Daniel J. Carr - Research Systems, Inc.       This is free software; you can redistribute it and/or     modify it under the terms of the GNU Lesser General Public     License as published by the Free Software Foundation; either     version 2.1 of the License, or (at your option) any later version.       This library is distributed in the hope that it will be useful,     but WITHOUT ANY WARRANTY; without even the implied warranty of     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     Lesser General Public License for more details.       You should have received a copy of the GNU Lesser General Public     License along with this library; if not, write to the Free Software     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA       You can contact OPeNDAP, Inc. at PO Box 112, Saunderstown, RI. 02874-0112.  ");
  
  
  libdata[libdataItem++] = new Array("./opendap_get_data.html#OPENDAP_GET_DATA", "OPENDAP_GET_DATA", "routine in opendap_get_data.pro", "opendap_get_data.pro", "", "OPENDAP_GET_DATA", " Function to establish a connection and get OPeNDAP data.    ", "CE       Data constraint expression  DEFLATE       ACCEPT_DEFLATE flag  (1=yes (default), 0=no)  SEQ_BLOCKSIZE       How many elements should be allocated at once for sequence data;        default value is 4096  MODE       mode flag for data request; 1 (dds), 4 (fulldds), 3 (fulldata)  url       URL location to connect to  opendap_data       Returns the requested OPeNDAP data as an IDL structure  debug       set to 1 to debug    ", "          -1", "      Status (1=ok, 0=fail)    ");
  
  

libdata[libdataItem++] = new Array("./opendap_handle_attribute.html", "opendap_handle_attribute.pro", ".pro file in ./ directory", "opendap_handle_attribute.pro", "      Patrick West <mrpatrickwest@gmail.com> UCAR/HAO       Based on IDL-DODS Written by Daniel J. Carr - Research Systems, Inc.    ", "", " IDL-OPENDAP interface.    ", "", "          -1", "      Copyright (c) 2006 OPeNDAP, Inc.       This is free software; you can redistribute it and/or     modify it under the terms of the GNU Lesser General Public     License as published by the Free Software Foundation; either     version 2.1 of the License, or (at your option) any later version.       This library is distributed in the hope that it will be useful,     but WITHOUT ANY WARRANTY; without even the implied warranty of     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     Lesser General Public License for more details.       You should have received a copy of the GNU Lesser General Public     License along with this library; if not, write to the Free Software     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA       You can contact OPeNDAP, Inc. at PO Box 112, Saunderstown, RI. 02874-0112.  ");
  
  
  libdata[libdataItem++] = new Array("./opendap_handle_attribute.html#opendap_handle_attribute", "opendap_handle_attribute", "routine in opendap_handle_attribute.pro", "opendap_handle_attribute.pro", "", "opendap_handle_attribute", " Handle getting the name and value of an attribute.    ", "opendap_attr       attribute value  attr_name       attribute name  attr       attribute identifier  ", "          -1", "");
  
  

libdata[libdataItem++] = new Array("./opendap_handle_attributes.html", "opendap_handle_attributes.pro", ".pro file in ./ directory", "opendap_handle_attributes.pro", "      Patrick West <mrpatrickwest@gmail.com> UCAR/HAO       Based on IDL-DODS Written by Daniel J. Carr - Research Systems, Inc.    ", "", " IDL-OPENDAP interface.    ", "", "          -1", "      Copyright (c) 2006 OPeNDAP, Inc.       This is free software; you can redistribute it and/or     modify it under the terms of the GNU Lesser General Public     License as published by the Free Software Foundation; either     version 2.1 of the License, or (at your option) any later version.       This library is distributed in the hope that it will be useful,     but WITHOUT ANY WARRANTY; without even the implied warranty of     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     Lesser General Public License for more details.       You should have received a copy of the GNU Lesser General Public     License along with this library; if not, write to the Free Software     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA       You can contact OPeNDAP, Inc. at PO Box 112, Saunderstown, RI. 02874-0112.  ");
  
  
  libdata[libdataItem++] = new Array("./opendap_handle_attributes.html#opendap_handle_attributes", "opendap_handle_attributes", "routine in opendap_handle_attributes.pro", "opendap_handle_attributes.pro", "", "opendap_handle_attributes", " Handle getting attributes.    ", "opendap_data       attribute value  node       node ID  debug       set to 1 to debug  ", "          -1", "      status (1=ok, 0=fail)    ");
  
  

libdata[libdataItem++] = new Array("./opendap_handle_content.html", "opendap_handle_content.pro", ".pro file in ./ directory", "opendap_handle_content.pro", "      Patrick West <mrpatrickwest@gmail.com> UCAR/HAO       Based on IDL-DODS Written by Daniel J. Carr - Research Systems, Inc.    ", "", " IDL-OPENDAP interface.    ", "", "          -1", "      Copyright (c) 2006 OPeNDAP, Inc.       This is free software; you can redistribute it and/or     modify it under the terms of the GNU Lesser General Public     License as published by the Free Software Foundation; either     version 2.1 of the License, or (at your option) any later version.       This library is distributed in the hope that it will be useful,     but WITHOUT ANY WARRANTY; without even the implied warranty of     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     Lesser General Public License for more details.       You should have received a copy of the GNU Lesser General Public     License along with this library; if not, write to the Free Software     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA       You can contact OPeNDAP, Inc. at PO Box 112, Saunderstown, RI. 02874-0112.  ");
  
  
  libdata[libdataItem++] = new Array("./opendap_handle_content.html#opendap_handle_content", "opendap_handle_content", "routine in opendap_handle_content.pro", "opendap_handle_content.pro", "", "opendap_handle_content", " Handle retrieving content for a given node.    ", "opendap_data       returned data for node  node       node ID  content       content pointer  node_type       node type code as defined by !opendap_NODE_xxxx system variables  has_content       set to 1  get_data       set to 1 to get_data, 0 to not get any data  debug       set to 1 to debug  ", "          -1", "");
  
  

libdata[libdataItem++] = new Array("./opendap_handle_node.html", "opendap_handle_node.pro", ".pro file in ./ directory", "opendap_handle_node.pro", "      Patrick West <mrpatrickwest@gmail.com> UCAR/HAO       Based on IDL-DODS Written by Daniel J. Carr - Research Systems, Inc.    ", "", " IDL-OPENDAP interface.    ", "", "          -1", "      Copyright (c) 2006 OPeNDAP, Inc.       This is free software; you can redistribute it and/or     modify it under the terms of the GNU Lesser General Public     License as published by the Free Software Foundation; either     version 2.1 of the License, or (at your option) any later version.       This library is distributed in the hope that it will be useful,     but WITHOUT ANY WARRANTY; without even the implied warranty of     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     Lesser General Public License for more details.       You should have received a copy of the GNU Lesser General Public     License along with this library; if not, write to the Free Software     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA      You can contact OPeNDAP, Inc. at PO Box 112, Saunderstown, RI. 02874-0112.  ");
  
  
  libdata[libdataItem++] = new Array("./opendap_handle_node.html#opendap_handle_node", "opendap_handle_node", "routine in opendap_handle_node.pro", "opendap_handle_node.pro", "", "opendap_handle_node", " Handle a single node (and its children).    ", "opendap_data       returned data for node  node       node ID  get_data       set to 1 to get_data, 0 to not get any data  debug       set to 1 to debug  ", "          -1", "      status (1=ok, 0=fail)    ");
  
  

libdata[libdataItem++] = new Array("./opendap_setup.html", "opendap_setup.pro", ".pro file in ./ directory", "opendap_setup.pro", "      Patrick West <mrpatrickwest@gmail.com> UCAR/HAO       Dan Holloway <d.holloway@opendap.org>       Based on IDL-DODS Written by Daniel J. Carr - Research Systems, Inc.    ", "", " Batch file to set up system variables and link external routines.    IDL-OPENDAP interface.    ", "", "          -1", "      Copyright (c) 2006 OPeNDAP, Inc.       This is free software; you can redistribute it and/or     modify it under the terms of the GNU Lesser General Public     License as published by the Free Software Foundation; either     version 2.1 of the License, or (at your option) any later version.       This library is distributed in the hope that it will be useful,     but WITHOUT ANY WARRANTY; without even the implied warranty of     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU     Lesser General Public License for more details.       You should have received a copy of the GNU Lesser General Public     License along with this library; if not, write to the Free Software     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA       You can contact OPeNDAP, Inc. at PO Box 112, Saunderstown, RI. 02874-0112.  ");
  

